﻿#pragma once

#using <mscorlib.dll>
#using <System.ServiceModel.dll>
#using <System.Runtime.Serialization.dll>
#using <System.dll>

using namespace System::Security::Permissions;
[assembly:SecurityPermissionAttribute(SecurityAction::RequestMinimum, SkipVerification=false)];
using namespace System;
interface class ITestServer;
interface class ITestServerChannel;
ref class TestServerClient;


[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0"), 
System::ServiceModel::ServiceContractAttribute(ConfigurationName=L"ITestServer", SessionMode=System::ServiceModel::SessionMode::Required)]
public interface class ITestServer
{
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/ITestServer/GetClientInstanceNumber", ReplyAction=L"http://tempuri.org/ITestServer/GetClientInstanceNumberResponse")]
    System::Int32 GetClientInstanceNumber();
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/ITestServer/GetSharedData", ReplyAction=L"http://tempuri.org/ITestServer/GetSharedDataResponse")]
    System::String^  GetSharedData();
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/ITestServer/SetSharedData", ReplyAction=L"http://tempuri.org/ITestServer/SetSharedDataResponse")]
    System::Void SetSharedData(System::String^  strData);
};

[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public interface class ITestServerChannel : public ITestServer, public System::ServiceModel::IClientChannel
{
};

[System::Diagnostics::DebuggerStepThroughAttribute, 
System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public ref class TestServerClient : public System::ServiceModel::ClientBase<ITestServer^ >, public ITestServer
{
    
    public: TestServerClient();
    public: TestServerClient(System::String^  endpointConfigurationName);
    public: TestServerClient(System::String^  endpointConfigurationName, System::String^  remoteAddress);
    public: TestServerClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress);
    public: TestServerClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress);
    public: virtual System::Int32 GetClientInstanceNumber() sealed;
    
    public: virtual System::String^  GetSharedData() sealed;
    
    public: virtual System::Void SetSharedData(System::String^  strData) sealed;
};







inline TestServerClient::TestServerClient()
{
}

inline TestServerClient::TestServerClient(System::String^  endpointConfigurationName) : 
        System::ServiceModel::ClientBase<ITestServer^ >(endpointConfigurationName)
{
}

inline TestServerClient::TestServerClient(System::String^  endpointConfigurationName, System::String^  remoteAddress) : 
        System::ServiceModel::ClientBase<ITestServer^ >(endpointConfigurationName, remoteAddress)
{
}

inline TestServerClient::TestServerClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<ITestServer^ >(endpointConfigurationName, remoteAddress)
{
}

inline TestServerClient::TestServerClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<ITestServer^ >(binding, remoteAddress)
{
}

inline System::Int32 TestServerClient::GetClientInstanceNumber()
{
    return __super::Channel->GetClientInstanceNumber();
}

inline System::String^  TestServerClient::GetSharedData()
{
    return __super::Channel->GetSharedData();
}

inline System::Void TestServerClient::SetSharedData(System::String^  strData)
{
    __super::Channel->SetSharedData(strData);
}
